Bug 724936 - Review Request: python-mock - A Python Mocking and Patching Library for Testing
Review Request: python-mock - A Python Mocking and Patching Library for Testing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
: Reopened
Depends On: 725131
Blocks: 601725
  Show dependency treegraph
 
Reported: 2011-07-22 07:07 EDT by Praveen Kumar
Modified: 2015-02-01 23:11 EST (History)
8 users (show)

See Also:
Fixed In Version: python-mock-1.0.1-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 12:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
satya.komaragiri: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-22 07:07:04 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/mock/python-mock.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/mock/python-mock-0.7.2-1.fc15.src.rpm
Description: Mock is a Python module that provides a core mock class. It removes the need to create a host of stubs throughout your test suite. After performing an
action, you can make assertions about which methods / attributes were used and
arguments they were called with. You can also specify return values and set
needed attributes in the normal way.

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3222412
Comment 1 Satya Komaragiri 2011-07-23 03:35:21 EDT
[X] Package name - ok.

[X] package group - ok.

[X] Build successful - ok.

[X] rpmlint output: -ok.
SRPM: 
$ rpmlint python-mock-0.7.2-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
SPEC:
$ rpmlint python-mock.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
RPM:
$ rpmlint python-mock-0.7.2-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[X] Install/Un-install - ok.

[X] Package license - 
They license name mentioned is 'BSD'. The link provided with the source is to
'The Voidspace Open Source License' (which is a BSD variant but please confirm with Fedora legal as mentioned by mether on IRC).

In any case it would still be nice to have a copy of the license with the source.
Comment 2 Praveen Kumar 2011-07-23 21:32:43 EDT
Added license file, I think it's doesn't need to bump up release .
Spec URL: http://kumarpraveen.fedorapeople.org/mock/python-mock.spec
SRPM URL:
http://kumarpraveen.fedorapeople.org/mock/python-mock-0.7.2-1.fc15.src.rpm

koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3225612
Comment 3 Satya Komaragiri 2011-07-25 03:06:27 EDT
[X] Package name - ok.
[X] Package license - ok
[X] package group - ok.
[X] Build successful - ok.
[X] Install/Un-install - ok.
[X] rpmlint output: -ok.
SRPM: 
$ rpmlint python-mock-0.7.2-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
SPEC:
$ rpmlint python-mock.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
RPM:
$ rpmlint python-mock-0.7.2-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Overall - Good
Comment 4 Satya Komaragiri 2011-07-25 03:08:28 EDT
APPROVED
Comment 5 Gianluca Sforna 2011-07-25 05:55:00 EDT
Did anyone try to install this _and_ mock in the same machine?
I think we're still clashing (i.e. you will get a conflict on installation), until we fix bug 601725
Comment 6 Toshio Ernie Kuratomi 2011-09-08 12:20:30 EDT
I've been talking with Zooko of Tahoe-LAFS and Ruben (who is also interested in Tahoe-LAFS) to figure out a way to deal with this until the mock package is updated.  Since python-mock is a library needed for testing packages; we could probably get away with packaging the module as a private library for now.  Packages which use python-mock in order to build would then be able to set their PYTHONPATH in order to pick up python-mock rather than mock.

I can work on adapting this package to do that if you are willing to continue maintaining it.
Comment 7 Toshio Ernie Kuratomi 2011-09-13 12:26:49 EDT
Clark has updated mock to use the mockbuild module name (see bug 601725 ) so I think it's safe to proceed with this.
Comment 8 Toshio Ernie Kuratomi 2012-01-22 23:53:47 EST
ping Praveen Kumar

The mock package has moved to a new module name so this is free to go in now.  Are you still interested?
Comment 9 Praveen Kumar 2012-01-23 04:03:35 EST
Thanks for information, will take a look into it.
Comment 10 Praveen Kumar 2012-01-30 21:31:12 EST
New Package SCM Request
=======================
Package Name: python-mock
Short Description: A Python Mocking and Patching Library for Testing
Owners: kumarpraveen
Branches: f15 f16
Comment 11 Jon Ciesla 2012-01-31 09:10:08 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-02-07 11:31:32 EST
python-mock-0.7.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mock-0.7.2-1.fc16
Comment 13 Fedora Update System 2012-02-07 11:33:17 EST
python-mock-0.7.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-mock-0.7.2-1.fc15
Comment 14 Fedora Update System 2012-02-07 21:25:30 EST
python-mock-0.7.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 15 Fedora Update System 2012-03-11 19:22:40 EDT
python-mock-0.7.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-03-11 19:22:54 EDT
python-mock-0.7.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 17 Praveen Kumar 2012-03-16 23:13:21 EDT
New Package SCM Request
=======================
Package Name: python-mock
Short Description: A Python Mocking and Patching Library for Testing
Owners: kumarpraveen
Branches: el6
Comment 18 Jon Ciesla 2012-03-19 08:29:04 EDT
This already exists, please submit a package change request to create a new
branch.  Thanks!
Comment 19 Praveen Kumar 2012-03-19 10:53:43 EDT
Package Change Request
======================
Package Name: python-mock
New Branches: el6
Owners: kumarpraveen
Comment 20 Jon Ciesla 2012-03-19 12:15:42 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2012-03-20 13:44:43 EDT
python-mock-0.7.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-mock-0.7.2-1.el6
Comment 22 Fedora Update System 2012-03-22 12:55:28 EDT
python-mock-0.8.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-1.fc17
Comment 23 Fedora Update System 2012-03-22 12:57:35 EDT
python-mock-0.8.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-1.fc16
Comment 24 Fedora Update System 2012-03-22 12:59:10 EDT
python-mock-0.8.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-1.fc15
Comment 25 Fedora Update System 2012-03-27 11:31:02 EDT
python-mock-0.8.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-1.el6
Comment 26 Fedora Update System 2012-05-22 11:29:15 EDT
python-mock-0.8.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-06-01 13:13:41 EDT
python-mock-0.8.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-07-09 21:36:19 EDT
python-mock-0.8.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-2.fc17
Comment 29 Fedora Update System 2012-07-09 21:46:28 EDT
python-mock-0.8.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mock-0.8.0-2.fc16
Comment 30 Fedora Update System 2014-09-18 00:40:57 EDT
python-mock-1.0.1-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-mock-1.0.1-5.el7
Comment 31 Fedora Update System 2014-10-09 15:58:19 EDT
python-mock-1.0.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Ratnadeep Debnath 2015-01-31 05:13:17 EST
Please update python-mock version in EPEL7. mockchain does not run on CentOS 7:

Traceback
=========
[cloud-user@kushal-cent7 SRPMS]$ mockchain
Traceback (most recent call last):
  File "/usr/bin/mockchain", line 25, in <module>
    from six.moves import urllib_parse
ImportError: cannot import name urllib_parse

It seems like this has been fixed in https://git.fedorahosted.org/cgit/mock.git/commit/?id=af9cbb833e034f6de621475ae56d26effd088321
Comment 33 Ratnadeep Debnath 2015-01-31 05:19:00 EST
Sorry, bad post.
Comment 34 Praveen Kumar 2015-02-01 23:11:54 EST
(In reply to Ratnadeep Debnath from comment #33)
> Sorry, bad post.

I am going to clear needinfo request, let me know if you have some other query,

Note You need to log in before you can comment on or make changes to this bug.